/*======================================================================*/
/*                                                                      */
/*      dccpp_global.c                                                  */
/*      This module contains all global variables of DDGI_DCCpp.DLL     */
/*======================================================================*/
/*      J.P.PILLOU      13/03/2018                                      */
/*======================================================================*/
/*======================================================================*/

#include <windows.h>
#include <stdio.h>
#include "DDGI_Generic_def.h"
#include "dccpp_def.h"

/*======================================================================*/
/*                              GLOBAL VARIABLES                        */
/*======================================================================*/

HWND            hMainWnd;

char            sVersionString[MAX_STR_LEN];

int             xDataArray[MAX_NB_CMD_DATA];

DCC_COMMAND     xRcvMsgBuffer[MAX_RCV_MSG];
int             nRcvMsgRdPtr = 0;
int             nRcvMsgWrPtr = 0;

DCC_CONTEXT     xDccCtxt; 

DETECTOR_STATE  xDetectorStateArray[MAX_NB_DETECTORS];

BOOL            bInsertDumpSeparators = FALSE;                                                                       
BOOL            bDisplayErrors = FALSE; 
BOOL            bMarklinMode = FALSE;  

BOOL            bLowLevelDebug = FALSE;                                                                    

FILE            *pDumpFile = NULL;                                                                     
FILE            *pDebugFile = NULL;   

long            lCurrentCommandCtxtIndex = 0L;      

/* CV read variables */
unsigned char   cCurrentCVValue;
RD_ERROR        nCurrentCVError;   

/* S88 handling */
unsigned char   xS88State[MAX_NB_DETECTORS / 4];
int             nS88NibbleChanges;
BOOL            bS88StateUpdated;
                                                      
