/*======================================================================*/
/*                                                                      */
/*      dccpp_extern.h                                                  */
/*      extern version of dccpp_global.c                                */
/*======================================================================*/
/*      J.P.PILLOU      20/03/2013                                      */
/*======================================================================*/

/*======================================================================*/
/*                              GLOBAL VARIABLES                        */
/*======================================================================*/

extern HWND             hMainWnd;

extern char             sVersionString[MAX_STR_LEN];

extern int              xDataArray[MAX_NB_CMD_DATA];

extern  DCC_COMMAND     xRcvMsgBuffer[MAX_RCV_MSG];
extern  int             nRcvMsgRdPtr;
extern  int             nRcvMsgWrPtr;

extern  DCC_CONTEXT     xDccCtxt;

extern  DETECTOR_STATE  xDetectorStateArray[MAX_NB_DETECTORS];

extern  BOOL            bInsertDumpSeparators;  
extern  BOOL            bDisplayErrors;   
extern  BOOL            bMarklinMode;                                                             

extern  BOOL            bLowLevelDebug;                                                                    

extern  DCC_COMMAND     xSendCommand[SND_NB_SND_COMMANDS]; 
  
extern  DCC_COMMAND     xRecvCommand[RCV_NB_RCV_COMMANDS];   

extern FILE             *pDumpFile; 
extern FILE             *pDebugFile; 
                              
extern long             lCurrentCommandCtxtIndex;                                                                  

/* CV read variables */
extern  unsigned char   cCurrentCVValue;
extern  RD_ERROR        nCurrentCVError;                                                            

/* S88 handling */
extern  unsigned char   xS88State[MAX_NB_DETECTORS / 4];
extern  int             nS88NibbleChanges;
extern  BOOL            bS88StateUpdated;
