/*======================================================================*/
/*                                                                      */
/*      dccpp_thread.h                                                  */
/*      Header file of dccpp_thread.c                                   */
/*      Module containing all functions pertaining to read/write oper.  */
/*      (send message to interface).                                    */
/*======================================================================*/
/*      J.P.PILLOU      13/03/2018                                      */
/*======================================================================*/
/*======================================================================*/

/* main process space functions */
/*==============================*/

BOOL    DCPT_ScheduleSndMsg(    HWND                    hWnd,
                                DCC_CMD_TAG            *pCmdTag,
                                SND_CMD_MNEMONIC        nCommand, 
                                int                     nNbArgs,
                                int                     pDataArray[],
                                BOOL                    bShowCommand,
                                CMD_TYPE                nCommandType,
                                CMD_PRIORITY            nPriority );

BOOL    DCPT_GetNextExpectedResponse( 
                        pDGI_GENERIC_RCV_DATA           pGenericRcvData );

BOOL    DCPT_GetNextUnExpectedMessage( 
                        pDGI_GENERIC_RCV_DATA   pGenericRcvData );

/* write thread space functions */
/*==============================*/

DWORD   DCPT_IFThreadFunc(      void                    *Ptr );

